Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
openssl_block.cpp File Reference
`#include <botan/block_cipher.h>`
`#include <botan/internal/openssl.h>`
`#include <openssl/evp.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | MAKE_OPENSSL_BLOCK(evp_fn) std::unique_ptr<BlockCipher>(new OpenSSL_BlockCipher(name, evp_fn()))
#define | MAKE_OPENSSL_BLOCK_KEYLEN(evp_fn, kl_min, kl_max, kl_mod) std::unique_ptr<BlockCipher>(new OpenSSL_BlockCipher(name, evp_fn(), kl_min, kl_max, kl_mod))

## Functions
std::unique_ptr< BlockCipher > | Botan::make_openssl_block_cipher (const std::string &name)

## Macro Definition Documentation

#define MAKE_OPENSSL_BLOCK | ( |  | evp_fn | ) | std::unique_ptr<BlockCipher>(new OpenSSL_BlockCipher(name, evp_fn()))

Referenced by Botan::make_openssl_block_cipher().

#define MAKE_OPENSSL_BLOCK_KEYLEN | ( |  | evp_fn,
|  |  | kl_min,
|  |  | kl_max,
|  |  | kl_mod
| ) |  | std::unique_ptr<BlockCipher>(new OpenSSL_BlockCipher(name, evp_fn(), kl_min, kl_max, kl_mod))

Referenced by Botan::make_openssl_block_cipher().

## Variable Documentation

size_t m_block_sz

Definition at line 51 of file openssl_block.cpp.

Key_Length_Specification m_cipher_key_spec

Definition at line 52 of file openssl_block.cpp.

std::string m_cipher_name

Definition at line 53 of file openssl_block.cpp.

EVP_CIPHER_CTX m_decrypt
| mutable

Definition at line 54 of file openssl_block.cpp.

EVP_CIPHER_CTX m_encrypt
| mutable

Definition at line 54 of file openssl_block.cpp.